/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2018. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.rmm.common.client;


import java.io.InputStream;

import com.ibm.team.repository.common.TeamRepositoryException;

public interface IDiagramServiceCommon {

	/**
	 * 
	 * @param is the input stream from which to read the zip file with diagrams graphical data. Must <em>not</em> be null. 
	 * @return
	 * @throws TeamRepositoryException
	 */
	public boolean saveDiagrams(InputStream is) throws TeamRepositoryException;
}
